Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula.eval
Class BoolEval

    java.lang.Object
      org.apache.poi.hssf.record.formula.eval.BoolEval

All Implemented Interfaces:
  NumericValueEval, StringValueEval, ValueEval

    public final class BoolEval

extends java.lang.Object
implements NumericValueEval, StringValueEval

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Field Summary
`static BoolEval` | `FALSE`
`static BoolEval` | `TRUE`

Method Summary
`boolean` | `getBooleanValue()`
`double` | `getNumberValue()`
`java.lang.String` | `getStringValue()`
`java.lang.String` | `toString()`
`static BoolEval` | `valueOf(boolean b)` Convenience method for the following: `(b ? BoolEval.TRUE : BoolEval.FALSE)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FALSE

    public static final BoolEval FALSE

### TRUE

    public static final BoolEval TRUE

Method Detail

### valueOf

    public static final BoolEval valueOf(boolean b)

  Convenience method for the following:
  `(b ? BoolEval.TRUE : BoolEval.FALSE)`

  Returns:
    the `BoolEval` instance representing `b`.

### getBooleanValue

    public boolean getBooleanValue()

### getNumberValue

    public double getNumberValue()

  Specified by:
    `getNumberValue` in interface `NumericValueEval`

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `StringValueEval`
  Returns:
    never `null`, possibly empty string.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD